Bug 822830 - specifying invalid ip_address as value for auth.allow/reject option is accepted
specifying invalid ip_address as value for auth.allow/reject option is accepted
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Avra Sengupta
: Triaged
Depends On:
Blocks: 849290
  Show dependency treegraph
 
Reported: 2012-05-18 05:54 EDT by Shwetha Panduranga
Modified: 2013-07-24 13:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849290 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shwetha Panduranga 2012-05-18 05:54:01 EDT
Description of problem:
Invalid IP address such as "192.*..*", "a.a." is accepted as valid ip_address. 

Version-Release number of selected component (if applicable):
3.3.0qa41

How reproducible:
often

Steps to Reproduce:
1.create a replicate volume
2.gluster volume set <volume_name> nfs.rpc-auth-reject 192.*..*
3.gluster volume set <volume_name> nfs.rpc-auth-reject a.a.
  
Actual results:
set volume successful

Expected results:
set volume should be unsuccessful as we have specified the invalid ip address
Comment 1 Amar Tumballi 2012-10-31 07:53:27 EDT
As of today, we are taking input for these options as regex (of fnmatch()), hence we don't validate a lot during CLI command itself. I think it makes sense to treat  this as an enhancement.
Comment 2 Vijay Bellur 2013-02-25 22:52:44 EST
CHANGE: http://review.gluster.org/4579 (libglusterfs: Fixed valid_ipv4_address and valid_host_name) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.